## IdeDebuggerFrame IdeDebuggerFrame |

## Functions

IdeDebuggerFrame * | ide_debugger_frame_new ()
IdeDebuggerAddress | ide_debugger_frame_get_address ()
void | ide_debugger_frame_set_address ()
const gchar * | ide_debugger_frame_get_file ()
void | ide_debugger_frame_set_file ()
const gchar * | ide_debugger_frame_get_function ()
void | ide_debugger_frame_set_function ()
const gchar * const * | ide_debugger_frame_get_args ()
void | ide_debugger_frame_set_args ()
const gchar * | ide_debugger_frame_get_library ()
void | ide_debugger_frame_set_library ()
guint | ide_debugger_frame_get_depth ()
void | ide_debugger_frame_set_depth ()
guint | ide_debugger_frame_get_line ()
void | ide_debugger_frame_set_line ()

## Properties

guint64 | address | Read / Write
GStrv | args | Read / Write
guint | depth | Read / Write
gchar * | file | Read / Write
gchar * | function | Read / Write
gchar * | library | Read / Write
guint | line | Read / Write

## Types and Values

#define | IDE_TYPE_DEBUGGER_FRAME
struct | IdeDebuggerFrameClass
| IdeDebuggerFrame

## Object Hierarchy

        GObject
        ╰── IdeDebuggerFrame

## Description

## Functions

### ide_debugger_frame_new ()

    IdeDebuggerFrame *
    ide_debugger_frame_new (void);

### ide_debugger_frame_get_address ()

    IdeDebuggerAddress
    ide_debugger_frame_get_address (IdeDebuggerFrame *self);

### ide_debugger_frame_set_address ()

    void
    ide_debugger_frame_set_address (IdeDebuggerFrame *self,
                                    IdeDebuggerAddress address);

### ide_debugger_frame_get_file ()

    const gchar *
    ide_debugger_frame_get_file (IdeDebuggerFrame *self);

### ide_debugger_frame_set_file ()

    void
    ide_debugger_frame_set_file (IdeDebuggerFrame *self,
                                 const gchar *file);

### ide_debugger_frame_get_function ()

    const gchar *
    ide_debugger_frame_get_function (IdeDebuggerFrame *self);

### ide_debugger_frame_set_function ()

    void
    ide_debugger_frame_set_function (IdeDebuggerFrame *self,
                                     const gchar *function);

### ide_debugger_frame_get_args ()

    const gchar * const *
    ide_debugger_frame_get_args (IdeDebuggerFrame *self);

### ide_debugger_frame_set_args ()

    void
    ide_debugger_frame_set_args (IdeDebuggerFrame *self,
                                 const gchar * const *args);

### ide_debugger_frame_get_library ()

    const gchar *
    ide_debugger_frame_get_library (IdeDebuggerFrame *self);

### ide_debugger_frame_set_library ()

    void
    ide_debugger_frame_set_library (IdeDebuggerFrame *self,
                                    const gchar *library);

### ide_debugger_frame_get_depth ()

    guint
    ide_debugger_frame_get_depth (IdeDebuggerFrame *self);

### ide_debugger_frame_set_depth ()

    void
    ide_debugger_frame_set_depth (IdeDebuggerFrame *self,
                                  guint depth);

### ide_debugger_frame_get_line ()

    guint
    ide_debugger_frame_get_line (IdeDebuggerFrame *self);

### ide_debugger_frame_set_line ()

    void
    ide_debugger_frame_set_line (IdeDebuggerFrame *self,
                                 guint line);

## Types and Values

### IDE_TYPE_DEBUGGER_FRAME

    #define IDE_TYPE_DEBUGGER_FRAME (ide_debugger_frame_get_type())

### struct IdeDebuggerFrameClass

    struct IdeDebuggerFrameClass {
      GObjectClass parent;
    };

### IdeDebuggerFrame

    typedef struct _IdeDebuggerFrame IdeDebuggerFrame;

## Property Details

### The `“address”` property

      “address”                  guint64

Address.

Owner: IdeDebuggerFrame

Flags: Read / Write

Default value: 0

### The `“args”` property

      “args”                     GStrv

Args.

Owner: IdeDebuggerFrame

Flags: Read / Write

### The `“depth”` property

      “depth”                    guint

Depth.

Owner: IdeDebuggerFrame

Flags: Read / Write

Default value: 0

### The `“file”` property

      “file”                     gchar *

The file containing the frame location.

Owner: IdeDebuggerFrame

Flags: Read / Write

Default value: NULL

### The `“function”` property

      “function”                 gchar *

The function the stack frame represents.

Owner: IdeDebuggerFrame

Flags: Read / Write

Default value: NULL

### The `“library”` property

      “library”                  gchar *

The library containing the function, if any.

Owner: IdeDebuggerFrame

Flags: Read / Write

Default value: NULL

### The `“line”` property

      “line”                     guint

Line.

Owner: IdeDebuggerFrame

Flags: Read / Write

Default value: 0